package com.liquidnet.service.adam.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.liquidnet.service.adam.entity.AdamRolePermission;
import com.liquidnet.service.adam.entity.AdamUserPermission;
import com.liquidnet.service.adam.vo.AdamPermissionInfoVo;

import java.util.List;

public interface IAdamUserPermissionService extends IService<AdamUserPermission> {

    List<AdamUserPermission> query(String userId);

    List<String> queryPermissionKeyByUserId(String userId);

    List<AdamPermissionInfoVo> queryPermissionByUserId(String userId);

    boolean assignPermissions(String userId, String comId, String roleId);

    boolean savePermissions(List<AdamRolePermission> assignRolePermissionList, String userId, String comId, String roleId);
}
